# Enum Class XmlViolationPolicy

java.lang.Object
java.lang.Enum<XmlViolationPolicy>
nu.validator.htmlparser.common.XmlViolationPolicy

All Implemented Interfaces:
  `Serializable, Comparable<XmlViolationPolicy>, Constable`

public enum XmlViolationPolicy extends Enum<XmlViolationPolicy>
Policy for XML 1.0 violations.

Version:
  $Id$
Author:
  hsivonen

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW`
Conform to HTML 5, allow XML 1.0 to be violated.
`ALTER_INFOSET`
Be non-conforming and alter the infoset to fit XML 1.0 when something would otherwise not be mappable to XML 1.0.
`FATAL`
Halt when something cannot be mapped to XML 1.0.

## Method Summary

Modifier and Type
Method
Description
`static XmlViolationPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XmlViolationPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALLOW

public static final XmlViolationPolicy ALLOW
Conform to HTML 5, allow XML 1.0 to be violated.

### FATAL

public static final XmlViolationPolicy FATAL
Halt when something cannot be mapped to XML 1.0.

### ALTER_INFOSET

public static final XmlViolationPolicy ALTER_INFOSET
Be non-conforming and alter the infoset to fit XML 1.0 when something would otherwise not be mappable to XML 1.0.

## Method Details

### values

public static XmlViolationPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XmlViolationPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null